#include<bits\stdc++.h>

using namespace std;

int main()
{
    ios::sync_with_stdio(false);
    cin.tie(0);
    int n, k, x;
    cin>>n>>k>>x;
    if(n == k)
    {
        cout<<2 * x + 1<<" ";
        cout<<x + 1<<" ";
        cout<<1<<" ";
        for(int i = 3; i < n; i++)
        {
            cout<<2<<" ";
        }
    }
}